Skip to main content
PUT
/
member
/
{member_guid}
{
  "credentials": [
    {
      "field_name": "login",
      "response": "user789"
    },
    {
      "field_name": "password",
      "response": "pass789"
    }
  ]
}
{
  "guid": "MBR-01229f9a-fd17-a89a-bac8-157d8393caa2",
  "institution_guid": "INS-02e3f389-6e75-f60c-985a-3a9fe9759a69",
  "user_guid": "USR-07230561-1bf5-fe0c-ed17-c08888150334",
  "name": "Vertica Bank",
  "status": {
    "status": 1,
    "name": "ENABLED",
    "message": ""
  }
}
Update an existing member. This is most commonly used to update a login and password credential.
Do not use the name parameter unless instructed to do so by MX.

Path Parameters

member_guid
string
The GUID or external GUID of the member to update.

Query Parameters

k
string
required
Your API key.
c
string
required
The client GUID or external client GUID.

Body Parameters

credentials
array
A list of credential objects to update.
name
string
The name of the member. Only use if instructed by MX.
{
  "credentials": [
    {
      "field_name": "login",
      "response": "user789"
    },
    {
      "field_name": "password",
      "response": "pass789"
    }
  ]
}
{
  "guid": "MBR-01229f9a-fd17-a89a-bac8-157d8393caa2",
  "institution_guid": "INS-02e3f389-6e75-f60c-985a-3a9fe9759a69",
  "user_guid": "USR-07230561-1bf5-fe0c-ed17-c08888150334",
  "name": "Vertica Bank",
  "status": {
    "status": 1,
    "name": "ENABLED",
    "message": ""
  }
}